PROGRAM=fiatlux

EXTRA_CFLAGS=-O3 -Ifsdata

EXTRA_COMPONENTS=extras/i2s_dma extras/ws2812_i2s extras/dhcpserver extras/rboot-ota extras/mbedtls extras/httpd extras/sntp extras/cpp_support

LIBS = hal m

FLASH_MODE = dio

include ../modules/rtos/common.mk

html: fsdata/fsdata.c

fsdata/fsdata.c: fsdata/fs/index.html fsdata/fs/404.html fsdata/fs/css/picnic.min.css fsdata/fs/css/style.css fsdata/fs/js/smoothie_min.js
	@echo "Generating fsdata.."
	cd fsdata && ./makefsdata

test: unittest systest

unittest:
	true

systest:
	true

.NOTPARALLEL: html all